Can't install KEGGprofile
1
0
Entering edit mode
Sophie • 0
@6d4a00c9
Last seen 8 weeks ago
Canada

Hi, I'm trying to install KEGGprofile to do analysis in R but it says it's not available for BioConductor 3.13 yet. But the website says it is. sessionInfo results might be a little weird since I installed a bunch of other BioConductor packages today.

'getOption("repos")' replaces Bioconductor standard repositories, see
'?repositories' for details

replacement repositories:
    CRAN: https://cran.pacha.dev

Bioconductor version 3.13 (BiocManager 1.30.15), R 4.1.0 (2021-05-18)
Installing package(s) 'KEGGprofile'
Old packages: 'e1071', 'stringi'
Update all/some/none? [a/s/n]: n
Warning message:
In .inet_warning(msg) :
  package ‘KEGGprofile’ is not available for Bioconductor version '3.13'

sessionInfo( ) R version 4.1.0 (2021-05-18) Platform: i386-w64-mingw32/i386 (32-bit) Running under: Windows 10 x64 (build 19041)

Matrix products: default

locale: [1] LC_COLLATE=English_Canada.1252 LC_CTYPE=English_Canada.1252
[3] LC_MONETARY=English_Canada.1252 LC_NUMERIC=C
[5] LC_TIME=English_Canada.1252

attached base packages: [1] stats graphics grDevices utils datasets methods base

other attached packages: [1] devtools_2.4.1 usethis_2.0.1 limma_3.48.0

loaded via a namespace (and not attached): [1] rstudioapi_0.13 magrittr_2.0.1 pkgload_1.2.1
[4] R6_2.5.0 rlang_0.4.11 fastmap_1.1.0
[7] tools_4.1.0 pkgbuild_1.2.0 sessioninfo_1.1.1
[10] cli_2.5.0 withr_2.4.2 ellipsis_0.3.2
[13] remotes_2.3.0 rprojroot_2.0.2 lifecycle_1.0.0
[16] crayon_1.4.1 processx_3.5.2 purrr_0.3.4
[19] BiocManager_1.30.15 callr_3.7.0 fs_1.5.0
[22] ps_1.6.0 curl_4.3.1 testthat_3.0.2
[25] memoise_2.0.0 glue_1.4.2 cachem_1.0.5
[28] compiler_4.1.0 desc_1.3.0 prettyunits_1.1.1

```

KEGG RNASeq • 146 views
ADD COMMENT
0
Entering edit mode

Hi Sophie, I believe this issue is known. Can you try the temporary fix suggested here? - Avoid upgrading BiocManager to 1.30.13; fix proposed Kind regards, Kevin

ADD REPLY
0
Entering edit mode
@james-w-macdonald-5106
Last seen 1 day ago
United States

This package isn't available because it relies on a package that has been deprecated.

The data that was included in KEGG.db has been static for many years now, and we have been saying for many releases that KEGG.db would be deprecated in lieu of the KEGGREST package, and this release it finally happened.

Login before adding your answer.

Traffic: 331 users visited in the last hour
Help About
FAQ
Access RSS
API
Stats

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.

Powered by the version 2.3.6